Bug 525616 - Midori crashes after adding shortcut to speedial
Summary: Midori crashes after adding shortcut to speedial
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: midori
Version: 12
Hardware: All
OS: Linux
low
high
Target Milestone: ---
Assignee: Peter Gordon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-25 05:20 UTC by Miroslav Vadkerti
Modified: 2010-05-25 13:24 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-05-25 13:24:27 UTC


Attachments (Terms of Use)
coredump of crashed midori taken from abrt (4.37 MB, application/x-gzip)
2009-09-25 05:25 UTC, Miroslav Vadkerti
no flags Details

Description Miroslav Vadkerti 2009-09-25 05:20:15 UTC
Description of problem:
After "Click to add a shortcut" in Speed Dial and adding a link (e.g. www.google.com) the "Enter shortcut title" dialog
appears again (without adding the link to Speed dial), after second addition of the link in this dialog (or clicking
Cancel button) Midori crashes.

Version-Release number of selected component (if applicable):
midori-0.1.10-1.fc12.i686

How reproducible:
always

Steps to Reproduce:
1. Ctrl+t -> new tab with Speed dial opens
2. Click to a a free speed dial button -> "Enter shortcut title" dialog appears
3. Enter a web page (e.g. www.google.com) or leave blank and press Ok -> Enter shortcut title" dialog appears again
4. Press ok or cancel -> Midori crashes
   
Actual results:
Crash

Expected results:
No crash

Additional info:
added coredump for rawhide
reported to project bug tracker http://www.twotoasts.de/bugs/index.php?do=details&task_id=550&project=2

Comment 1 Miroslav Vadkerti 2009-09-25 05:25:24 UTC
Created attachment 362614 [details]
coredump of crashed midori taken from abrt

Comment 2 Bug Zapper 2009-11-16 12:53:26 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 12 development cycle.
Changing version to '12'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 3 Miroslav Vadkerti 2009-12-06 00:26:33 UTC
This issue has been fixed in Upstream - midori-0.2.1 see:
http://www.twotoasts.de/bugs/index.php?do=details&task_id=550
Please update midori package in Fedora


Note You need to log in before you can comment on or make changes to this bug.